# gdcm::NestedModuleEntries Class Reference

Class for representing a NestedModuleEntries. More...

`#include <gdcmNestedModuleEntries.h>`

Inheritance diagram for gdcm::NestedModuleEntries:
[legend]
Collaboration diagram for gdcm::NestedModuleEntries:
[legend]

List of all members.

## Public Member Functions
| NestedModuleEntries (const char *name="", const char *type="3", const char *description="")
void | AddModuleEntry (const ModuleEntry &me)
ModuleEntry & | GetModuleEntry (unsigned int idx)
const ModuleEntry & | GetModuleEntry (unsigned int idx) const
unsigned int | GetNumberOfModuleEntries ()
## Friends
std::ostream & | operator<< (std::ostream &_os, const NestedModuleEntries &_val)

## Detailed Description

Class for representing a NestedModuleEntries.

Note:
  bla

See also:
  ModuleEntry

## Constructor & Destructor Documentation

gdcm::NestedModuleEntries::NestedModuleEntries | ( | const char * | name = `""`,
|  | const char * | type = `"3"`,
|  | const char * | description = `""` |
| ) |  |  | `[inline]`

## Member Function Documentation

void gdcm::NestedModuleEntries::AddModuleEntry | ( | const ModuleEntry & | me | ) | `[inline]`

ModuleEntry& gdcm::NestedModuleEntries::GetModuleEntry | ( | unsigned int | idx | ) | `[inline]`

const ModuleEntry& gdcm::NestedModuleEntries::GetModuleEntry | ( | unsigned int | idx | ) | const`[inline]`

unsigned int gdcm::NestedModuleEntries::GetNumberOfModuleEntries | ( |  | ) | `[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const NestedModuleEntries & | _val |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmNestedModuleEntries.h